Bug 833786 - Update maven depmap usage (patch included)
Update maven depmap usage (patch included)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jna (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 07:15 EDT by Mary Ellen Foster
Modified: 2012-07-07 15:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-30 18:02:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suggested patch (1.51 KB, patch)
2012-06-20 07:15 EDT, Mary Ellen Foster
no flags Details | Diff

  None (edit)
Description Mary Ellen Foster 2012-06-20 07:15:21 EDT
Created attachment 593179 [details]
Suggested patch

Description of problem:
The current jna package has a few of problems with the way it uses maven depmaps:

1. The jar file for the "platform" package is in the "-contrib" subpackage but the pom is in the main package
2. It uses the old-fashioned %add_to_maven_depmap macro instead of the new %add_maven_depmap one
3. The file name for the platform POM isn't correct

I will attach a suggested patch that fixes all of the above.

It would also be nice to push jna 3.4.0 to F17 -- at the moment, rawhide is on 3.4.0 but F17 is on 3.2.7 (quite old)


Version-Release number of selected component (if applicable):
jna-3.4.0-3.fc18.x86_64
Comment 1 Fedora Update System 2012-06-20 15:36:10 EDT
jna-3.4.0-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/jna-3.4.0-4.fc16
Comment 2 Fedora Update System 2012-06-20 15:36:19 EDT
jna-3.4.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jna-3.4.0-4.fc17
Comment 3 Fedora Update System 2012-06-20 15:36:28 EDT
jna-3.4.0-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/jna-3.4.0-4.el5
Comment 4 Fedora Update System 2012-06-22 04:28:33 EDT
Package jna-3.4.0-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jna-3.4.0-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9760/jna-3.4.0-4.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-06-30 18:02:35 EDT
jna-3.4.0-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-06-30 18:08:20 EDT
jna-3.4.0-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-07-07 15:29:52 EDT
jna-3.4.0-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.